com.dlsc.flexgantt.model.treetable

## Enum SortDirection

- java.lang.Object
- - java.lang.Enum<SortDirection>
  - - com.dlsc.flexgantt.model.treetable.SortDirection

- All Implemented Interfaces:
    Serializable, Comparable<SortDirection>

      public enum SortDirection
      extends Enum<SortDirection>

  An enumeration of possible sort directions. A column can be sorted in ascending order, in descending order, or not at all.
  Since:
    1.0
  See Also:
    `TreeTableColumn.setSupportedSortDirections(SortDirection[])`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING` Value used to indicate an ascending sort order.
    `DESCENDING` Value used to indicate an descending sort order.
    `NONE` Value used to indicate no sort order.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the displayable name of the sort direction.
    `static SortDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SortDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final SortDirection ASCENDING

      Value used to indicate an ascending sort order.
      Since:
        1.0

    - #### DESCENDING

          public static final SortDirection DESCENDING

      Value used to indicate an descending sort order.
      Since:
        1.0

    - #### NONE

          public static final SortDirection NONE

      Value used to indicate no sort order.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static SortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortDirection c : SortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the displayable name of the sort direction.
      Returns:
        the name of the sort direction
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.